# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=sdl_gfx
pkgver=2.0.26
pkgrel=0
pkgdesc="SDL graphics drawing primitives and other support functions"
url="https://www.ferzkopp.net/wordpress/2016/01/02/sdl_gfx-sdl2_gfx/"
arch="all"
license="GPL-2.0-or-later"
makedepends="sdl-dev autoconf automake libtool"
subpackages="$pkgname-dev"
options="!check" # No testsuite
source="https://sourceforge.net/projects/aat-linux-repository/files/sources/alpine/sdl_gfx/SDL_gfx-$pkgver.tar.gz"
builddir="$srcdir/SDL_gfx-$pkgver"

prepare() {
	default_prepare
	autoreconf -fvi
}

build() {
	./configure --prefix=/usr
	make
}

package() {
	make DESTDIR="$pkgdir" install
}

sha512sums="e571caa0d7575683efd4cf8f0a41ab10f4acf913f9ece216ac823af11da22c8734fc2c0ea049009a3e1a53715e49622f5bfcfdbdafb95e5151990d0a4eb69c01  SDL_gfx-2.0.26.tar.gz"
